• 全部
  • 互动交流
  • 文章分享

Pycharm 如何更换具有管理员权限的库版本?

j撅客 2021-02-07 10:50:00
公司装了一个python2.7

因为某些软件依赖原因, 所以python2.7 和它 下面的库都是需要管理员权限才能操作的。

我重新安装了一个python 3.7, 结果我在pycharm里面发现它自动就加了 python2.7 下面的库。

这是python2.7 下面的numpy库,无法升级删除:


这是python3.7下面的库


我已经在Python3.7 库路径下面同时安装了numpy1.20; 但是在pychrm里面它一直都是1.7.1的版本

无法更改。

请教下各位有什么方法?
...全文
47 点赞 收藏 2
写回复
2 条回复
切换为时间正序
请发表友善的回复…
发表回复
不然就是在python解释器右边那边那个齿轮点击添加看看?找一找两个编译器的地址,添加一下,然后再切换环境
回复
看你这两图片的库不是都一样的吗,说明你当前的环境就一个编译器,要么是python2,要么是python3。也就是说你可能装错了,就剩下一个编译器了。一般这种环境什么的建议上Anaconda来管理,安装什么的不会乱。
回复
发帖
脚本语言
创建于2007-08-27

3.7w+

社区成员

JavaScript,VBScript,AngleScript,ActionScript,Shell,Perl,Ruby,Lua,Tcl,Scala,MaxScript 等脚本语言交流。
申请成为版主
帖子事件
创建了帖子
2021-02-07 10:50
社区公告

CSDN 脚本语言社区接受专栏投稿(专栏会在顶部创建专属你的栏目),投稿需满足以下要求:

  • 脚本语言技术相关;
  • 文章持续更新,保持活跃;
  • 内容清晰明了,干货为主;
  • 文章排版有序,有条有理。

本社区开通招聘专栏,发布招聘信息请联系版主,发布者需要保证招聘信息真实有效,CSDN 平台和版主不对招聘内容负责!

联系方式:私聊版主、发送邮件、QQ联系等均可: